version: "3.8"

services:
  mongodb:
    image: mongo
    restart: unless-stopped
    #env_file:
    # - example.env
    environment:
      - MONGO_INITDB_ROOT_USERNAME=$DB_SERVICE_ACCOUNT_USER
      - MONGO_INITDB_ROOT_PASSWORD=$DB_SERVICE_ACCOUNT_PASS
    ports:
      - $DB_PORT:$MONGO_DB_PORT
  app:
    depends_on:
      - mongodb
    build:
      dockerfile: dev.Dockerfile
    restart: unless-stopped
    #env_file:
    # - example.env
    ports:
      - $NODE_LOCAL_PORT:$NODE_DOCKER_PORTDB_PORT

volumes:
  db: